local Locale = LibStub("AceLocale-3.0"):NewLocale("Vex Alarm", "deDE")
if not Locale then return end

--chat printouts
Locale["print defaults loaded"] = "Grundeinstellungen geladen"
Locale["print addon enabled"] = "aktiv"
Locale["print addon disabled"] = "inaktiv"
Locale["print cmd not found"] = "Befehlsliste"
Locale["print slashs useable"] = "und |CFFFF7D0A/vexa|r koennen genutzt werden"
Locale["print slashs options"] = "oeffnet das Optionsmenue"
Locale["print slashs defaults"] = "Grundeinstellungen werden wiederhergestellt"
Locale["print slashs profile"] = "PROFILNAME - laedt das Spell-Profil mit dem Name 'PROFILNAME'"
Locale["print slashs enable"] = "aktiviert/deaktiviert das Addon"
Locale["print slashs rw"] = "aktiviert/deaktiviert das Addon Schlachtzugswarnungen"

--msg defaults
Locale["msgs buff active"] = "[spell_cc] zaubert [caster_cc] auf [target_cc]"
Locale["msgs buff inactive"] = "[spell_cc] zaubert [caster_cc] auf [target_cc]"
Locale["msgs selfbuff active"] = "[spell_cc] gezaubert von [caster_cc]"
Locale["msgs selfbuff inactive"] = "[spell_cc] gezaubert von [caster_cc]"
Locale["msgs grpbuff active"] = "[spell_cc] an"
Locale["msgs grpbuff inactive"] = "[spell_cc] aus"
Locale["msgs instant"] = "[caster_cc] zaubert [spell_cc] auf [target_cc]"
Locale["msgs instantself"] = "[caster_cc] zaubert [spell_cc]"
Locale["msgs status active"] = "aktiv"
Locale["msgs status inactive"] = "inaktiv"

Locale["rw msgs buff active"] = "[spell] gezaubert von [caster] auf [target] is [status]"
Locale["rw msgs buff inactive"] = "[spell] gezaubert von [caster] auf [target] is [status]"
Locale["rw msgs selfbuff active"] = "[spell] gezaubert von [caster] ist [status]"
Locale["rw msgs selfbuff inactive"] = "[spell] gezaubert von [caster] ist [status]"
Locale["rw msgs grpbuff active"] = "[spell] an"
Locale["rw msgs grpbuff inactive"] = "[spell] aus"
Locale["rw msgs instant"] = "[caster] zaubert [spell] auf [target]"
Locale["rw msgs instantself"] = "[caster] zaubert [spell]"
Locale["rw msgs status active"] = "aktiv"
Locale["rw msgs status inactive"] = "inaktiv"

--------------------------------------------
------------------ OPTIONS -----------------
--------------------------------------------

--shared
Locale["opacity"] = "Deckkraft"
Locale["test-mode grpname"] = "Test-Modus"
Locale["activate test-mode"] = "Aktiviere Test-Modus"
Locale["test-mode info"] = "So lange der Test-Modus aktiv ist loest das Addon alle paar Sekunden ein Event aus."
Locale["buffs"] = "Buffs"
Locale["selfbuffs"] = "Selfbuffs"
Locale["grpbuffs"] = "Gruppenbuffs"
Locale["instants"] = "Zauber mit Zielen"
Locale["instantsself"] = "Zauber ohne Ziele"
Locale["Reset"] = "Grundeinstellungen laden"

--titles
Locale["titles Frame Design"] = "Fenster Design"
Locale["titles Message Settings"] = "Nachricht Einstellungen"
Locale["titles Message Content"] = "Nachricht Inhalt"
Locale["titles Spell-Profiles"] = "Spell-Profile"
Locale["titles Sounds"] = "Sounds"
Locale["titles Show/Enable"] = "Zeigen/Aktivieren"
Locale["titles Profiles"] = "Profile"
Locale["titles Spells"] = "Zauber"
Locale["titles RW"] = "Raid Warnungen"
Locale["titles RW Message Content"] = "RW Nachrichten"

--Raid Warnings
Locale["rw general grpname"] = "Allgemeine Einstellungen"
Locale["rw activate"] = "Aktivieren"
Locale["rw chattype"] = "Kannel"
Locale["rw channel"] = "Nummer des eigenen Kanals"
Locale["rw useprofile"] = "Spellprofil nutzen, anstatt der momentanen Spelleinstellungen"
Locale["rw profile"] = "Profile"
Locale["rw chattype channel"] = "Eigener Kanal"
Locale["rw chattype guild"] = "Gilden-Chat"
Locale["rw chattype officer"] = "Offizier-Chat"
Locale["rw chattype party"] = "Gruppen-Chat"
Locale["rw chattype raid"] = "Schlachtzugs-Chat"
Locale["rw chattype rw"] = "Schlachtzugs Warnung"
Locale["rw chattype say"] = "Sagen"
Locale["rw chattype yell"] = "Schreien"

--field
Locale["field possize grpname"] = "Position und Groesse"
Locale["field width"] = "Breite"
Locale["field width desc"] = "Veraendert die Breite des Addons"
Locale["field height"] = "Hoehe"
Locale["field height desc"] = "Veraendert die Hoehe des Addons"
Locale["field x position"] = "X Position"
Locale["field x position desc"] = "Veraendert die X Position des Addons"
Locale["field y position"] = "Y Position"
Locale["field y position desc"] = "Veraendert die Y Position des Addons"
Locale["field anchor"] = "Ankerpunkt"
Locale["field anchor desc"] = "Platziert das Addon relativ zu einer bestimmten Anker-Position auf dem Bildschirm"
Locale["field anchor center"] = "Mitte"
Locale["field anchor bottom"] = "Unten"
Locale["field anchor top"] = "Oben"
Locale["field anchor left"] = "Links"
Locale["field anchor right"] = "Rechts"
Locale["field anchor bottomleft"] = "Unten Links"
Locale["field anchor rottomright"] = "Unten Rechts"
Locale["field anchor topleft"] = "Oben Links"
Locale["field anchor topright"] = "Oben Rechts"
Locale["field bg grpname"] = "Hintergrund Einstellungen"
Locale["field bg texture"] = "Textur"
Locale["field bg color"] = "Farbe"
Locale["field border grpname"] = "Rahmen Einstellungen"
Locale["field border texture"] = "Textur"
Locale["field border size"] = "Groesse"
Locale["field border color"] = "Farbe"

--main
Locale["main Version"] = "Version"
Locale["main Author"] = "Author"
Locale["main Slashcmds"] = "Slash Befehle"
Locale["main icon activate"] = "aktiviere Icon Button um das Addon anzuzeigen/auszublenden"
Locale["main icon lock"] = "Sperre Icon Button"
Locale["main icon size"] = "Icon Button Groee"
Locale["main icon reset"] = "Icon Button zuruecksetzen"
Locale["main icon reset desc"] = "setzt die Position und die Groee des Icon Buttons zurck"

--rw msg content
Locale["rw msgcontent tags info"] = "Die folgenden Bausteine koennen genutzt werden, um Informationen in die Ausgaben einzubauen\n\nCastername: |CFFFF7D0A[caster]|r \n\nZielname: |CFFFF7D0A[target]|r \n\nZaubername: |CFFFF7D0A[spell]|r \n\nStatus: |CFFFF7D0A[status]|r\n\nAuf Grund der Einschrnkungen von Blizzard fr Chatnachrichten, knnen Sonderzeichen Fehlermeldungen erzeugen!"

--msg content
Locale["msgcontent tags info grpname"] = "Informationen einfuegen"
Locale["msgcontent tags info"] = "Die folgenden Bausteine koennen genutzt werden, um Informationen in die Ausgaben einzubauen\n\nCastername:\n|CFFFF7D0A[caster]|r ungefaerbt, |CFFFF7D0A[caster_sc]|r besonders gefaerbt, |CFFFF7D0A[caster_cc]|r nach Klasse gefaerbt\n\nZielname:\n|CFFFF7D0A[target]|r ungefaerbt, |CFFFF7D0A[target_sc]|r besonders gefaerbt, |CFFFF7D0A[target_cc]|r nach Klasse gefaerbt\n\nZaubername:\n|CFFFF7D0A[spell]|r ungefaerbt, |CFFFF7D0A[spell_sc]|r besonders gefaerbt, |CFFFF7D0A[spell_cc]|r nach Klasse gefaerbt\n\nStatus:\n|CFFFF7D0A[status]|r ungefaerbt, |CFFFF7D0A[status_c]|r besonders gefaerbt"
Locale["msgcontent active message"] = "Aktive Nachricht"
Locale["msgcontent active message desc"] = "Dieses Nachricht wird gezeigt, wenn ein Buff aktiv wird"
Locale["msgcontent inactive message"] = "Inaktive Nachricht"
Locale["msgcontent inactive message desc"] = "Dieses Nachricht wird gezeigt, wenn ein Buff inaktiv wird"
Locale["msgcontent message"] = "Nachricht"
Locale["msgcontent message desc"] = "Dieses Nachricht wird gezeigt, wenn ein Zauber aktiv wird"
Locale["msgcontent status grpname"] = "[status] Nachrichten"
Locale["msgcontent status active"] = "[status] aktiv"
Locale["msgcontent status inactive"] = "[status] inaktiv"

--msg settings
Locale["msgsettings text-format grpname"] = "Textformatierung"
Locale["msgsettings font"] = "Schriftart"
Locale["msgsettings size"] = "Groesse"
Locale["msgsettings align"] = "Ausrichtung"
Locale["msgsettings align left"] = "Links"
Locale["msgsettings align center"] = "Mittig"
Locale["msgsettings align right"] = "Rechts"
Locale["msgsettings effect"] = "Effekt"
Locale["msgsettings effect monochrome"] = "Einfarbig"
Locale["msgsettings effect none"] = "Kein Effekt"
Locale["msgsettings effect outline"] = "Umrandet"
Locale["msgsettings effect thickoutline"] = "Umrandet (dick)"
Locale["msgsettings event grpname"] = "Nachrichten Einstellungen"
Locale["msgsettings x"] = "X Position"
Locale["msgsettings x desc"] = "Entfernung vom linken Rand des Addons bis zur Nachricht"
Locale["msgsettings y"] = "Y Position"
Locale["msgsettings y desc"] = "Entfernung vom oberen/unteren Rand des Addons bis zur Nachricht"
Locale["msgsettings distance"] = "Entfernung Nachrichten"
Locale["msgsettings distance desc"] = "Entfernung der einzelnen Nachrichten zueinander"
Locale["msgsettings maxevents"] = "Maximale Nachrichten"
Locale["msgsettings maxevents desc"] = "Wieviele Nachrichten sollen maximal angezeigt werden"
Locale["msgsettings upwards"] = "Ordne die Nachrichten aufsteigend, statt absteigend"
Locale["msgsettings colors grpname"] = "Textfarben"
Locale["msgsettings colors status_sc active"] = "[status_sc] aktiv"
Locale["msgsettings colors gained"] = "Textfarbe wenn ein Buff oder Spell aktiv wird"
Locale["msgsettings colors status_sc inactive"] = "[status_sc] inaktiv"
Locale["msgsettings colors lost"] = "Textfarbe wenn ein Buff inaktiv wird"
Locale["msgsettings timedata grpname"] = "Zeitangaben"
Locale["msgsettings timedata allow"] = "Erlaube 'Ausblend'-Effekte"
Locale["msgsettings timedata msg"] = "Dauer: Nachricht"
Locale["msgsettings timedata msg desc"] = "Wie lange Nachrichten angezeigt werden sollen bevor sie ausblenden"
Locale["msgsettings timedata vanish"] = "Dauer: 'Ausblend'-Effekte"
Locale["msgsettings timedata vanish desc"] = "Wie lange soll das Ausblenden der Nachrichten dauern"
Locale["msgsettings deir-mode grpname "] = "'DEIR'-Modus"
Locale["msgsettings deir-mode info"] = "Im 'DEIR'-Modus (Dead Events in Idle Rotatestate) ruecken die Nachrichten nicht auf, wenn eine vorherige Nachricht nicht mehr angezeigt wird. Alle Nachrichten bleiben an der Position, der sie am Anfang zugewiesen werden."
Locale["msgsettings deir-mode activate"] = "Aktiviere DEIR-Modus"

--spells
Locale["spells class dk"] = "Todesritter"
Locale["spells class druid"] = "Druide"
Locale["spells class hunter"] = "Jaeger"
Locale["spells class mage"] = "Magier"
Locale["spells class monk"] = "Moench"
Locale["spells class pala"] = "Paladin"
Locale["spells class priest"] = "Priester"
Locale["spells class rogue"] = "Schurke"
Locale["spells class shaman"] = "Schamane"
Locale["spells class wl"] = "Hexenmeister"
Locale["spells class warrior"] = "Krieger"
Locale["spells class noclass"] = "Klassenunspezifische Zauber"
Locale["spells role all"] = "Alle"
Locale["spells role tank"] = "Tank"
Locale["spells role heal"] = "Heiler"
Locale["spells role dd"] = "DD"
Locale["spells role notset"] = "Rolle unbestimmt"
Locale["spells enable"] = "Aktiviere"
Locale["spells disable"] = "Deaktiviere"
Locale["spells def buff"] = "'Buff'-Zauber sind Buffs, die ein einzelnes Ziel haben."
Locale["spells def selfbuff"] = "'Selfbuff'-Zauber sind Buffs ohne Ziel. Sie werden meist direkt auf den Zaubernden angewendet."
Locale["spells def grpbuff"] = "'Grpbuff'-Zauber sind Buffs, die mehrere Ziele haben."
Locale["spells def cast"] = "'Cast'-Zauber sind Zauber mit einem Ziel."
Locale["spells def selfcast"] = "'Selfcast'-Zauber sind Zauber ohne Ziel. Sie werden meist direkt auf den Zaubernden angewendet."
Locale["spells contant to add"] = "Wenn euch ein Zauber fehlt, den ihr gerne hinzugefuegt haben wollt, koennt ihr gerne unter folgender Adresse bescheid geben\nhttp://www.wowace.com/addons/cdalarm"
Locale["spells button"] = "alle Zauber" -- [enable] 'all spells'
Locale["spells button desc"] = "alle Zauber mit der Rolle"
Locale["spells extra 86669"] = "Heilig"
Locale["spells extra 86698"] = "Vergelter"
Locale["spells extra 86659"] = "Schutz) (Kaputt"
Locale["spells extra 77764"] = "Katze"
Locale["spells extra 77761"] = "Baer"
Locale["spells toggle desc"] = "Soll eine Nachricht ausgegeben werden wenn der Zauberer folgende Rolle hat:"

--spellprofiles
Locale["spellprofiles info"] = "Mit Spell-Profilen knnen die aktuellen Spell-Einstellungen abgespeichert werden und zu bestimmten Zeitpunkten geladen werden."
Locale["spellprofiles load button"] = "Laden"
Locale["spellprofiles load info"] = "Mit Slash-Befehlen koennen Spell-Profile geladen werden\n'/vexalarm profile test' laedt das Spell-Profil mit dem Namen 'test'."
Locale["spellprofiles profile not found"] = "Fehler: Spell-Profil nicht gefunden"
Locale["spellprofiles profile loaded 1"] = "Profil"
Locale["spellprofiles profile loaded 2"] = "geladen"

--profiles (some are shard with spellprofiles)
Locale["profiles info grpname"] = "Information"
Locale["profiles info"] = "Mit Profilen werden die aktuellen Einstellungen abgespeichert. Diese knnen dann auf andere Charaktere geladen werden."
Locale["profiles add grpname"] = "Profil hinzufuegen"
Locale["profiles add name"] = "Name"
Locale["profiles add name desc"] = "Gib einen Namen fuer ein neues Profil an"
Locale["profiles add button"] = "speichern"
Locale["profiles add info"] = "Profilnamen duerfen nur Zahlen, Buchstaben und Leerzeichen beeinhalten."
Locale["profiles delete grpname"] = "Profil loeschen"
Locale["profiles delete profile"] = "Profil"
Locale["profiles delete button"] = "loeschen"
Locale["profiles delete confirm"] = "Bist du sicher, dass du das Profil loeschen willst?"
Locale["profiles load grpname"] = "Profil laden"
Locale["profiles load name"] = "Profil"
Locale["profiles load button all"] = "komplettes Profil laden"
Locale["profiles load button all desc"] = "Lade Einstellungen, Spell-Einstellungen und Spell-Profile"
Locale["profiles load button settings"] = "Lade Einstellungen"
Locale["profiles load button spell-settings"] = "Lade Spell-Einstellungen"
Locale["profiles load button spell-settings desc"] = "Spell-Einstellungen sind die aktuellen Einstellungen die zu Spells gemacht wurden"
Locale["profiles load button spell-profiles"] = "Lade Spell-Profile"

--sounds
Locale["sounds general grpname"] = "Allgemeine Einstellungen"
Locale["sounds allow"] = "Erlaube Sounds"
Locale["sounds buffs grpname"] = "Buffs"
Locale["sounds buffs active grpname"] = "Aktive Buffs"
Locale["sounds buffs inactive grpname"] = "Inaktive Buffs"
Locale["sounds casts grpname"] = "Zauber"
Locale["sounds sound"] = "Sound"
Locale["sounds channel"] = "Kanal"

--show
Locale["show general grpname"] = "Allgemeine Einstellungen"
Locale["show activate"] = "Aktiviere Addon"
Locale["show settings grpname"] = "Zeige Einstellungen"
Locale["show infight"] = "Zeige nur im Kampf"
Locale["show grp-spells"] = "Nur Zauber von Gruppen- und Schlachtzugskollegen anzeigen"
Locale["show myspells"] = "Eigene Zauber anzeigen"